<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
?>

<?php 
$viewer = Engine_Api::_()->user()->getViewer();
$subject = Engine_Api::_()->core()->getSubject('user');
?>
<?php
if (empty($subject->firstname) &&  empty($subject->lastname) && empty($subject->gender) && empty($subject->dob) && empty($this->fieldValueLoop($this->subject(), $this->fieldStructure)) && $subject->getOwner()->isSelf($viewer)) {
  $href = Zend_Registry::get('Zend_View')->url(array('controller' => 'edit','action' => 'profile'),'user_extended',true);
  echo '
      <div class="tip">
        <span>
          '. $this->translate(sprintf("Fill your profile details %1shere%2s.",
            "<a href='$href'>",
            "</a>"
          )) .'
        </span>
      </div>';
  return;
}
echo $this->fieldValueLoop($this->subject(), $this->fieldStructure)
?>
